From: "Ronny Gutbrod" <gentoo@tastytea.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-shells/zsh-autosuggestions/
Date: Wed, 6 Apr 2022 21:25:27 +0000 (UTC) [thread overview]
Message-ID: <1649274402.1cf47b5a6da4f551086eeafe036cff1ee73cfbc3.tastytea@gentoo> (raw)
Message-ID: <20220406212527.qRw94zBu8cdOUZWd1Ky1F8uwr74V2BUedhl6Od6y9vc@z> (raw)
commit: 1cf47b5a6da4f551086eeafe036cff1ee73cfbc3
Author: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Wed Apr 6 19:29:33 2022 +0000
Commit: Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Wed Apr 6 19:46:42 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1cf47b5a
app-shells/zsh-autosuggestions: Don't pull test deps with USE="-test"
ruby-fakegem pulls in virtual/rubygems unconditionally, so we use
ruby-ng directly and copy each_ruby_test() from ruby-fakegem.
Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>
.../zsh-autosuggestions-0.7.0-r1.ebuild | 83 ++++++++++++++++++++++
1 file changed, 83 insertions(+)
diff --git a/app-shells/zsh-autosuggestions/zsh-autosuggestions-0.7.0-r1.ebuild b/app-shells/zsh-autosuggestions/zsh-autosuggestions-0.7.0-r1.ebuild
new file mode 100644
index 000000000..834a9c1b9
--- /dev/null
+++ b/app-shells/zsh-autosuggestions/zsh-autosuggestions-0.7.0-r1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+RUBY_OPTIONAL="yes"
+
+inherit readme.gentoo-r1 ruby-ng
+
+DESCRIPTION="Fish-like autosuggestions for zsh"
+HOMEPAGE="https://github.com/zsh-users/zsh-autosuggestions"
+SRC_URI="https://github.com/zsh-users/zsh-autosuggestions/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/all/${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+REQUIRED_USE="test? ( || ( $(ruby_get_use_targets) ) )"
+
+RDEPEND=">=app-shells/zsh-4.3.11"
+DEPEND=""
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ $(ruby_implementations_depend)
+ app-misc/tmux
+ dev-ruby/bundler
+ dev-ruby/pry
+ dev-ruby/pry-byebug
+ dev-ruby/rspec:3
+ dev-ruby/rspec-wait
+ virtual/rubygems
+ )
+"
+
+RESTRICT="!test? ( test )"
+
+DISABLE_AUTOFORMATTING="true"
+DOC_CONTENTS="In order to use ${CATEGORY}/${PN} add
+. /usr/share/zsh/site-functions/${PN}.zsh
+at the end of your ~/.zshrc"
+
+pkg_setup() {
+ use test && ruby-ng_pkg_setup
+}
+
+src_prepare() {
+ # FIXME: Disable failing tests
+ rm "spec/options/buffer_max_size_spec.rb" \
+ || die "Could not remove tests"
+
+ if use test; then
+ ruby-ng_src_prepare
+ else
+ default
+ fi
+}
+
+src_configure() {
+ use test && ruby-ng_src_configure
+}
+
+src_compile() {
+ use test && ruby-ng_src_compile
+}
+
+each_ruby_test() {
+ RSPEC_VERSION=3 ruby-ng_rspec
+}
+
+src_install() {
+ insinto "/usr/share/zsh/site-functions/"
+ doins "${PN}.zsh"
+
+ readme.gentoo_create_doc
+ einstalldocs
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}
next reply other threads:[~2022-04-06 21:25 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-06 19:50 Ronny Gutbrod [this message]
2022-04-06 21:25 ` [gentoo-commits] repo/proj/guru:master commit in: app-shells/zsh-autosuggestions/ Ronny Gutbrod
-- strict thread matches above, loose matches on Subject: below --
2023-09-24 19:15 [gentoo-commits] repo/proj/guru:dev " Leonardo Hernandez
2023-09-24 19:08 Leonardo Hernandez
2023-09-24 19:08 Leonardo Hernandez
2022-04-06 21:25 [gentoo-commits] repo/proj/guru:master " Ronny Gutbrod
2022-04-06 19:50 ` [gentoo-commits] repo/proj/guru:dev " Ronny Gutbrod
2022-04-06 1:13 Ronny Gutbrod
2021-07-11 22:28 Alessandro Barbieri
2021-04-20 10:40 Alessandro Barbieri
2021-04-20 10:34 Alessandro Barbieri
2021-04-20 10:22 Alessandro Barbieri
2021-04-19 23:32 Alessandro Barbieri
2021-04-19 10:45 Alessandro Barbieri
2021-02-16 14:20 Simon van der Maas
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1649274402.1cf47b5a6da4f551086eeafe036cff1ee73cfbc3.tastytea@gentoo \
--to=gentoo@tastytea.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox